desync(1)

NAME
desync-chunk - Chunk input file and print chunk boundaries and IDs

SYNOPSIS
desync chunk <file> [flags]

DESCRIPTION
Chunks the input file without storing anything, and prints a start/length/hash triple for each chunk the file would be split into. Useful to inspect or tune chunking parameters before running 'make'.

OPTIONS
-m, --chunk-size="16:64:256"
    min:avg:max chunk size in kb

-h, --help[=false]
    help for chunk

-S, --start=0
    starting position in bytes

OPTIONS INHERITED FROM PARENT COMMANDS
--config=""
    config file (default $HOME/.config/desync/config.json)

--digest="sha512-256"
    digest algorithm, sha512-256 or sha256

--verbose[=false]
    verbose mode

EXAMPLE
      desync chunk file.bin

SEE ALSO
desync(1)

HISTORY
6-Sep-2026 Auto generated by spf13/cobra